package ContactManager;

import java.io.Serializable;

public class ContactImpl implements Contact, Serializable {

	/**
	 * 
	 */
	private static final long serialVersionUID = -8934881101741766169L;
	private int id;
	private String name;
	private String notes;

	public ContactImpl(String name, int id) {
		this.name = name;
		this.id = id;
		// notes = "Notes for " + name + ": ";
	}

	/**
	 * name only constructor for testing.
	 * 
	 * @param name
	 */
	public ContactImpl(String name) {
		this.name = name;

	}

	@Override
	public int getId() {
		return id;
	}

	@Override
	public String getName() {
		return name;
	}

	@Override
	public String getNotes() {
		return notes;
	}

	@Override
	public void addNotes(String note) {
		this.notes = note; // s + note;
	}

	/*
	 * (non-Javadoc) Eclipse generated hashCode() and equals()
	 * 
	 * @see java.lang.Object#hashCode()
	 */
	@Override
	public int hashCode() {
		final int prime = 31;
		int result = 1;
		result = prime * result + ((name == null) ? 0 : name.hashCode());
		result = prime * result + ((notes == null) ? 0 : notes.hashCode());
		return result;
	}

	@Override
	public boolean equals(Object obj) {
		if (this == obj)
			return true;
		if (obj == null)
			return false;
		if (getClass() != obj.getClass())
			return false;
		ContactImpl other = (ContactImpl) obj;
		if (name == null) {
			if (other.name != null)
				return false;
		} else if (!name.equals(other.name))
			return false;
		if (notes == null) {
			if (other.notes != null)
				return false;
		} else if (!notes.equals(other.notes))
			return false;
		return true;
	}

	@Override
	public String toString() {
		String stringContact = "[" + name + "; " + notes + "]";
		return stringContact;
	}

}
