package ContactManager;

import java.io.Serializable;
import java.util.Calendar;
import java.util.HashSet;
import java.util.Set;
import java.util.GregorianCalendar;

public class MeetingImpl implements Meeting, Serializable {

	/**
	 * 
	 */
	private static final long serialVersionUID = 5246478151852670469L;
	private int id;
	private Set<Contact> meetingContacts = new HashSet<>();
	private Calendar meetingDate;
	private String notes;

	public MeetingImpl(Set<Contact> contacts, Calendar date) {

		meetingContacts.addAll(contacts);
		meetingDate = new GregorianCalendar(Calendar.YEAR, Calendar.MONTH,
				Calendar.DAY_OF_MONTH);
		// notes = "Notes for the meeting on " + meetingDate.toString() +
		// " with " + contacts.toString() + ": ";

	}

	public void setId(int id) {
		this.id = id;
	}

	@Override
	public int getId() {
		return id;
	}

	@Override
	public Calendar getDate() {
		return meetingDate;
	}

	@Override
	public Set<Contact> getContacts() {

		return meetingContacts;
	}

	@Override
	public void addNotes(String note) {
		this.notes = notes + note;
	}

	public String getNotes() {
		return notes;
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see java.lang.Object#hashCode()
	 */
	@Override
	public int hashCode() {
		final int prime = 31;
		int result = 1;
		result = prime * result
				+ ((meetingContacts == null) ? 0 : meetingContacts.hashCode());
		result = prime * result
				+ ((meetingDate == null) ? 0 : meetingDate.hashCode());
		result = prime * result + ((notes == null) ? 0 : notes.hashCode());
		return result;
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see java.lang.Object#equals(java.lang.Object)
	 */
	@Override
	public boolean equals(Object obj) {
		if (this == obj)
			return true;
		if (obj == null)
			return false;
		if (getClass() != obj.getClass())
			return false;
		MeetingImpl other = (MeetingImpl) obj;
		if (meetingContacts == null) {
			if (other.meetingContacts != null)
				return false;
		} else if (!meetingContacts.equals(other.meetingContacts))
			return false;
		if (meetingDate == null) {
			if (other.meetingDate != null)
				return false;
		} else if (!meetingDate.equals(other.meetingDate))
			return false;
		if (notes == null) {
			if (other.notes != null)
				return false;
		} else if (!notes.equals(other.notes))
			return false;
		return true;
	}

}
